Skip to content
Seal
Esc
navigateopen⌘Jpreview

Get a template

GET/templates/get
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Query parameters
idstringrequired
include_fieldsboolean

Include field definitions in response

default: false
Responses
200

OK

idstringrequired
namestringrequired
descriptionstring
statusTemplateStatusrequired
Allowed:activearchived
created_atstring<date-time>required
updated_atstring<date-time>required
use_countintegerrequired

Number of documents created from this template

field_countinteger
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/templates/get?id=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "string",
  "name": "string",
  "description": "string",
  "status": "active",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "use_count": 0,
  "field_count": 0
}